## ros-indigo-dynpick-driver 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dynpick_driver)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  roscpp geometry_msgs std_srvs
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES dynpick_driver
#  CATKIN_DEPENDS geometry_msgs
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  ${catkin_INCLUDE_DIRS}
)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")

## Declare a cpp executable
add_executable(dynpick_driver_node src/main.cpp src/kbhit.c)
target_link_libraries(dynpick_driver_node ${catkin_LIBRARIES})

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
install(TARGETS dynpick_driver_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch urdf DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

##########
## Test ##
##########

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest roslaunch)
  roslaunch_add_file_check(launch/sample.launch)
  roslaunch_add_file_check(launch/driver.launch)
endif()

=== debian/changelog ===
ros-indigo-dynpick-driver (0.1.1-0trusty) trusty; urgency=high

  * [fix] Add a missing folder to be installed #37 <https://github.com/tork-a/dynpick_driver/issues/37>
  * [capability] Add a tested product model. #35 <https://github.com/tork-a/dynpick_driver/issues/35>
  * Contributors: Isaac I.Y. Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Tue, 20 Dec 2016 08:00:00 -0000

ros-indigo-dynpick-driver (0.1.0-0trusty) trusty; urgency=high

  * ADD urdf model #32 <https://github.com/tork-a/dynpick_driver/issues/32>
    * Changed sample launch to show model instead of static tf-frame
  * Add tare service #30 <https://github.com/tork-a/dynpick_driver/issues/30>
    * uses std::srvs::Trigger
    * ordered dependencies alphabetically
    * Need to send offset_reset command several times (3 at my tests) to work
  * Contributors: Lorenz Halt

 -- TORK <dev@opensource-robotics.tokyo.jp>  Thu, 15 Sep 2016 07:00:00 -0000

ros-indigo-dynpick-driver (0.0.11-0trusty) trusty; urgency=high

  * Workaround for ROS buildfarm error. #27 <https://github.com/tork-a/dynpick_driver/issues/27>
  * Contributors: Isaac I.Y. Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Thu, 02 Jun 2016 07:00:00 -0000

ros-indigo-dynpick-driver (0.0.10-0trusty) trusty; urgency=high

  * [feat] Add test binary for measuring device throughput on Ubuntu (tested against QNX). #25 <https://github.com/tork-a/dynpick_driver/issues/25>
  * [doc] Add a tested product ID. #26 <https://github.com/tork-a/dynpick_driver/issues/26>
  * Contributors: Isaac I.Y. Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Thu, 02 Jun 2016 07:00:00 -0000

ros-indigo-dynpick-driver (0.0.9-0trusty) trusty; urgency=high

  * [fix] run.launch not publishing Wrench topic issue.
  * [feat] Rename run.launch --> driver.launch
  * [sys] add test
  * [sys] add travis.yml
  * [doc] Switched to sphinx; this doxygen setting seems not working, and the doc we want by rosdoc is not about api docs but rst files. (#20 <https://github.com/tork-a/dynpick_driver/issues/20>)
  * Contributors: Kei Okada, Isaac I.Y. Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Wed, 23 Mar 2016 07:00:00 -0000

ros-indigo-dynpick-driver (0.0.8-0trusty) trusty; urgency=high

  * [doc] Utilize rosdoc_lite.
  * Contributors: Isaac I.Y. Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Fri, 14 Aug 2015 07:00:00 -0000

ros-indigo-dynpick-driver (0.0.7-0trusty) trusty; urgency=high

  * [feat] Whether or not running RViz
  * Contributors: Isaac I.Y. Saito

 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Wed, 12 Aug 2015 07:00:00 -0000

ros-indigo-dynpick-driver (0.0.6-0trusty) trusty; urgency=high

  * [fix] Missing launch file variables
  * [doc] Add more doc
  * Contributors: Ron Tajima, Isaac I.Y. Saito

 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Tue, 11 Aug 2015 07:00:00 -0000

ros-indigo-dynpick-driver (0.0.5-0trusty) trusty; urgency=high

  * (Feature) Do while to read enough data (fix for #1 <https://github.com/tork-a/dynpick_driver/issues/1>)
  * (Doc) Add to readme new launch usage.
  * Contributors: Kei Okada, Isaac I.Y. Saito

 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Wed, 01 Apr 2015 07:00:00 -0000

ros-indigo-dynpick-driver (0.0.4-0trusty) trusty; urgency=high

  * Reusable launch files.
  * Contributors: Isaac I.Y. Saito

 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Mon, 23 Mar 2015 07:00:00 -0000

ros-indigo-dynpick-driver (0.0.3-0trusty) trusty; urgency=high

  * Fix/Typo, this may break downstream packages #7 <https://github.com/tork-a/dynpick_driver/issues/7> from k-okada/fix_typo
  * Fix/Install missing resource. #6 <https://github.com/tork-a/dynpick_driver/issues/6> from 130s/fix/install_launch
  * Contributors: Kei Okada, Isaac I.Y. Saito

 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Mon, 29 Dec 2014 08:00:00 -0000

ros-indigo-dynpick-driver (0.0.2-0trusty) trusty; urgency=high

  * Initial commit
  * Add doc
  * Contributors: Kei Okada, Isaac I.Y. Saito

 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Wed, 24 Dec 2014 08:00:00 -0000

=== debian/control ===
Source: ros-indigo-dynpick-driver
Section: misc
Priority: extra
Maintainer: TORK <dev@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), python-catkin-pkg, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-std-srvs
Homepage: http://wiki.ros.org/dynpick_driver
Standards-Version: 3.9.2

Package: ros-indigo-dynpick-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-robot-state-publisher, ros-indigo-roscpp, ros-indigo-rviz, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-xacro
Description: Driver package for Wacohtech dynpick force sensor.
 This contains ROS-compatible linux driver, as well as a communication test tool. As of Oct 2016, it's tested with the following models of dynpick: wdf-6m200-3 WEF-6A200 (confirmed here)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-dynpick-driver//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
